routes/admin.php
<?php

Route::get('/', 'HomeController@index')->name('dashboard');

Route::get('/department/data', 'DataController@departments')->name('department.data');
Route::resource('/department', 'DepartmentController');

Route::get('/position/data', 'DataController@positions')->name('position.data');
Route::resource('position', 'PositionController');

Route::get('/group/data', 'DataController@groups')->name('group.data');
Route::resource('group', 'GroupController');

Route::get('/employee/data', 'DataController@employees')->name('employee.data');
Route::resource('employee', 'EmployeeController');
Route::get('/employee/{id}/addcontract', function(){return "add contract page";})->name('employee.addcontract');

Route::get('/user/data', 'DataController@users')->name('user.data');
Route::resource('user', 'UserController');
Route::get('/useremployee', 'UserController@indexEmployee')->name('user.employee');

Route::get('/attendance/data', 'DataController@attendances')->name('attendance.data');
Route::resource('attendance', 'AttendanceController');

Route::get('/complain/data', 'DataController@complains')->name('complain.data');
Route::resource('complain', 'ComplainController');

Route::get('/salary/data', 'DataController@salaries')->name('salary.data');
Route::resource('salary', 'SalaryController');
Route::get('salary/print/{id}', 'SalaryController@print')->name("salary.print");
Route::get("/salary/create/next", "SalaryController@getEmployeeData")->name("salary.employee");

Route::get('/benefit/data', 'DataController@benefits')->name('benefit.data');
Route::resource('benefit', 'BenefitController');
Route::put("/benefit/updateajax/{id}", 'BenefitController@updateAjax');
Route::delete("/benefit/deleteajax/{id}", 'BenefitController@deleteAjax');


Route::get('/report/salary', 'ReportController@salary')->name('report.salary');
Route::get('/report/salary/print', 'ReportController@salaryPrint')->name('report.salary.print');
Route::get('/report/salary/autocomplete', 'ReportController@autocomplete')->name('report.autocomplete');

// get notification
Route::get('/notification/data', 'DataController@notifications')->name('notification.check');
// post notification
Route::post('/notification/generate', 'DataController@generateNotifications')->name('notification.generate');

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home')->middleware('verified');

resources/views/admin/home.blade.php
@extends('admin.template.default')

@section('content')

    <!-- Content Header (Page header) -->
    <section class="content-header">
        @can("read dashboard")
            <h1>
                Dashboard
                <small>Control panel</small>
            </h1>
            <ol class="breadcrumb">
            <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li class="active">Dashboard</li>
            </ol>
            </section>

            <!-- Main content -->
            <section class="content">
            <!-- Small boxes (Stat box) -->
            <div class="row">
                @can('admin')
                <div class="col-lg-4 col-xs-6">
                <!-- small box -->
                <div class="small-box bg-aqua">
                    <div class="inner">
                    <h3>{{ $employee }}</h3>

                    <p>Jumlah Karyawan</p>
                    </div>
                    <div class="icon">
                    <i class="ion ion-person-add"></i>
                    </div>
                    <a href="{{ route('admin.employee.index') }}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                </div>
                </div>
                @endcan
                <!-- ./col -->
                <div class="col-lg-4 col-xs-6">
                <!-- small box -->
                <div class="small-box bg-green">
                    <div class="inner">
                    <h3>{{ $salaries }}</h3>

                    <p>Total Gaji & Tunjangan</p>
                    </div>
                    <div class="icon">
                    <i class="ion ion-stats-bars"></i>
                    </div>
                    <a href="{{ route('admin.salary.index') }}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-4 col-xs-6">
                <!-- small box -->
                <div class="small-box bg-yellow">
                    <div class="inner">
                    <h3>{{ $attendances }}</h3>

                    <p>Absensi</p>
                    </div>
                    <div class="icon">
                    <i class="ion ion-bag"></i>
                    </div>
                    <a href="{{ route('admin.attendance.index') }}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                </div>
                </div>

            </div>
            <!-- /.row -->
        @else
        <h1 class="row col-md-12">
            Welcome
            <small>{{auth()->user()->name}}</small>
        </h1>
        @endcan
    </section>
    <!-- /.content -->
@endsection